Subject: bug#12774: 24.2.50; EMACS 24.2.50.1 crashing

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Nov 2012 19:14:21 +0200

> From: Vincent Belaïche <[email-masked]> 
> Cc: [email-masked]
> Date: Sun, 04 Nov 2012 20:50:10 +0100
> 
> (gdb) break ralloc.c:352
> Breakpoint 1 at 0x1172ef9: file ralloc.c, line 352.
> (gdb) break w32heap.c:194
> Breakpoint 2 at 0x10a4035: file w32heap.c, line 194.
> (gdb) break w32heap.c:208
> Breakpoint 3 at 0x10a407f: file w32heap.c, line 208.
> (gdb) run
> Starting program: C:\Programme\GNU\Emacs\bin\emacs.exe 
> [New Thread 4520.0x11d0]
> [New Thread 4520.0x344]
> [New Thread 4520.0x14b8]
> 
> Breakpoint 2, sbrk (increment=-892928) at w32heap.c:200
> (gdb) 200	w32heap.c: No such file or directory.
> continue
> Continuing.
> 
> Breakpoint 3, sbrk (increment=-892928) at w32heap.c:211
> 211	in w32heap.c
> (gdb) continue
> Continuing.

As you see, it doesn't stop at the lines where you put the
breakpoints, but on other lines.  Don't know what that means; maybe
compiler optimizations, maybe a mismatch between the sources and the
binary.

> (gdb)  print excess
> (gdb) No symbol "excess" in current context.

Since you are not in ralloc.c, the variable "excess" indeed is not
known.

> (gdb) print w32_last-error()
> (gdb) No symbol "w32_last" in current context.

That was my bad: I meant w32_last_error().

Anyway, I think I know what to do to avoid these crashes.  Thanks.